
_interrupt:

;knightRider.c,44 :: 		void interrupt() {
;knightRider.c,45 :: 		playAnimation(&animC);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_playAnimation_pAnim+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_playAnimation_pAnim+1 
	CALL        _playAnimation+0, 0
;knightRider.c,47 :: 		TMR0H = 0xFF;    // preset for Timer0 MSB register
	MOVLW       255
	MOVWF       TMR0H+0 
;knightRider.c,48 :: 		TMR0L = 0xCE;    // preset for Timer0 LSB register
	MOVLW       206
	MOVWF       TMR0L+0 
;knightRider.c,49 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;knightRider.c,50 :: 		}
L_end_interrupt:
L__interrupt9:
	RETFIE      1
; end of _interrupt

_main:

;knightRider.c,54 :: 		void main() {
;knightRider.c,58 :: 		ANSELA = 0x02;                 // Configure RA1 pin as analog
	MOVLW       2
	MOVWF       ANSELA+0 
;knightRider.c,59 :: 		ANSELB = 0;                    // Configure PORTB pins as digital
	CLRF        ANSELB+0 
;knightRider.c,60 :: 		ANSELC = 0;                    // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;knightRider.c,61 :: 		ANSELD = 0;                    // Configure PORTD pins as digital
	CLRF        ANSELD+0 
;knightRider.c,66 :: 		TRISA = 0x02;                  // Set RA1 pin as input
	MOVLW       2
	MOVWF       TRISA+0 
;knightRider.c,67 :: 		TRISB = 0;                     // Configure PORTB as output
	CLRF        TRISB+0 
;knightRider.c,68 :: 		TRISC = 0;                     // Configure PORTC as output
	CLRF        TRISC+0 
;knightRider.c,69 :: 		TRISD = 0;                     // Configure PORTD as output
	CLRF        TRISD+0 
;knightRider.c,70 :: 		LATB = 0;                      // Clear PORTC
	CLRF        LATB+0 
;knightRider.c,71 :: 		LATC = 0;                      // Clear PORTC
	CLRF        LATC+0 
;knightRider.c,72 :: 		LATD = 0;                      // Clear PORTD
	CLRF        LATD+0 
;knightRider.c,74 :: 		initLCD();
	CALL        _initLCD+0, 0
;knightRider.c,76 :: 		lcdText(LCD_ROW_1 | LCD_CENTER, "Knight Rider");
	MOVLW       80
	MOVWF       FARG_lcdText_intOptions+0 
	MOVLW       0
	MOVWF       FARG_lcdText_intOptions+1 
	MOVLW       ?lstr1_knightRider+0
	MOVWF       FARG_lcdText_pText+0 
	MOVLW       hi_addr(?lstr1_knightRider+0)
	MOVWF       FARG_lcdText_pText+1 
	CALL        _lcdText+0, 0
;knightRider.c,77 :: 		lcdText(LCD_ROW_2 | LCD_CENTER, "v2 07/07/2012");
	MOVLW       96
	MOVWF       FARG_lcdText_intOptions+0 
	MOVLW       0
	MOVWF       FARG_lcdText_intOptions+1 
	MOVLW       ?lstr2_knightRider+0
	MOVWF       FARG_lcdText_pText+0 
	MOVLW       hi_addr(?lstr2_knightRider+0)
	MOVWF       FARG_lcdText_pText+1 
	CALL        _lcdText+0, 0
;knightRider.c,79 :: 		for( intSteps=0; intSteps<TOTAL_LED_SEQC; intSteps++ ) {
	CLRF        main_intSteps_L0+0 
	CLRF        main_intSteps_L0+1 
L_main0:
	MOVLW       128
	XORWF       main_intSteps_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main11
	MOVLW       8
	SUBWF       main_intSteps_L0+0, 0 
L__main11:
	BTFSC       STATUS+0, 0 
	GOTO        L_main1
;knightRider.c,80 :: 		aryLEDseqC[intSteps].puintPostDelay = &uintPostDelay;
	MOVLW       26
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       R4 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       knightRider_aryLEDseqC+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(knightRider_aryLEDseqC+0)
	ADDWFC      R1, 1 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       knightRider_uintPostDelay+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(knightRider_uintPostDelay+0)
	MOVWF       POSTINC1+0 
;knightRider.c,79 :: 		for( intSteps=0; intSteps<TOTAL_LED_SEQC; intSteps++ ) {
	INFSNZ      main_intSteps_L0+0, 1 
	INCF        main_intSteps_L0+1, 1 
;knightRider.c,81 :: 		}
	GOTO        L_main0
L_main1:
;knightRider.c,82 :: 		for( intSteps=0; intSteps<TOTAL_LED_SEQD; intSteps++ ) {
	CLRF        main_intSteps_L0+0 
	CLRF        main_intSteps_L0+1 
L_main3:
	MOVLW       128
	XORWF       main_intSteps_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main12
	MOVLW       8
	SUBWF       main_intSteps_L0+0, 0 
L__main12:
	BTFSC       STATUS+0, 0 
	GOTO        L_main4
;knightRider.c,83 :: 		aryLEDseqD[intSteps].puintPostDelay = &uintPostDelay;
	MOVLW       26
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       R4 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       knightRider_aryLEDseqD+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(knightRider_aryLEDseqD+0)
	ADDWFC      R1, 1 
	MOVLW       3
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVLW       knightRider_uintPostDelay+0
	MOVWF       POSTINC1+0 
	MOVLW       hi_addr(knightRider_uintPostDelay+0)
	MOVWF       POSTINC1+0 
;knightRider.c,82 :: 		for( intSteps=0; intSteps<TOTAL_LED_SEQD; intSteps++ ) {
	INFSNZ      main_intSteps_L0+0, 1 
	INCF        main_intSteps_L0+1, 1 
;knightRider.c,84 :: 		}
	GOTO        L_main3
L_main4:
;knightRider.c,88 :: 		intSteps = createSchedule(5, 0);
	MOVLW       5
	MOVWF       FARG_createSchedule_uintInc+0 
	MOVLW       0
	MOVWF       FARG_createSchedule_uintInc+1 
	CLRF        FARG_createSchedule_uintRepeat+0 
	CLRF        FARG_createSchedule_uintRepeat+1 
	CALL        _createSchedule+0, 0
	MOVF        R0, 0 
	MOVWF       main_intSteps_L0+0 
	MOVF        R1, 0 
	MOVWF       main_intSteps_L0+1 
;knightRider.c,90 :: 		initAnim(&animC, intSteps);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        R0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        R1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,91 :: 		initAnim(&animD, intSteps);
	MOVLW       knightRider_animD+0
	MOVWF       FARG_initAnim_pAnim+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_initAnim_pAnim+1 
	MOVF        main_intSteps_L0+0, 0 
	MOVWF       FARG_initAnim_intSteps+0 
	MOVF        main_intSteps_L0+1, 0 
	MOVWF       FARG_initAnim_intSteps+1 
	CALL        _initAnim+0, 0
;knightRider.c,93 :: 		joinAnims(&animC, &animD);
	MOVLW       knightRider_animC+0
	MOVWF       FARG_joinAnims_pDst+0 
	MOVLW       hi_addr(knightRider_animC+0)
	MOVWF       FARG_joinAnims_pDst+1 
	MOVLW       knightRider_animD+0
	MOVWF       FARG_joinAnims_pSrc+0 
	MOVLW       hi_addr(knightRider_animD+0)
	MOVWF       FARG_joinAnims_pSrc+1 
	CALL        _joinAnims+0, 0
;knightRider.c,97 :: 		T0CON.TMR0ON = 1;// Timer0 On/Off Control bit:1=Enables Timer0 / 0=Stops Timer0
	BSF         T0CON+0, 7 
;knightRider.c,98 :: 		T0CON.T08BIT = 0;// Timer0 8-bit/16-bit Control bit: 1=8-bit timer/counter / 0=16-bit timer/counter
	BCF         T0CON+0, 6 
;knightRider.c,99 :: 		T0CON.T0CS   = 0;// TMR0 Clock Source Select bit: 0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF         T0CON+0, 5 
;knightRider.c,100 :: 		T0CON.T0SE   = 0;// TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF         T0CON+0, 4 
;knightRider.c,101 :: 		T0CON.PSA    = 0;// Prescaler Assignment bit: 0=Prescaler is assigned; 1=NOT assigned/bypassed
	BCF         T0CON+0, 3 
;knightRider.c,102 :: 		T0CON.T0PS2  = 1;// bits 2-0  PS2:PS0: Prescaler Select bits
	BSF         T0CON+0, 2 
;knightRider.c,103 :: 		T0CON.T0PS1  = 0;
	BCF         T0CON+0, 1 
;knightRider.c,104 :: 		T0CON.T0PS0  = 0;
	BCF         T0CON+0, 0 
;knightRider.c,105 :: 		TMR0H = 0xFF;    // preset for Timer0 MSB register
	MOVLW       255
	MOVWF       TMR0H+0 
;knightRider.c,106 :: 		TMR0L = 0xCE;    // preset for Timer0 LSB register
	MOVLW       206
	MOVWF       TMR0L+0 
;knightRider.c,107 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;knightRider.c,109 :: 		GIE_bit = 1;
	BSF         GIE_bit+0, 7 
;knightRider.c,111 :: 		while (1) {
L_main6:
;knightRider.c,113 :: 		uintPostDelay = min(900, max(1, ADC_Read(1)));
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_max_b+0 
	MOVF        R1, 0 
	MOVWF       FARG_max_b+1 
	MOVLW       1
	MOVWF       FARG_max_a+0 
	MOVLW       0
	MOVWF       FARG_max_a+1 
	CALL        _max+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_min_b+0 
	MOVF        R1, 0 
	MOVWF       FARG_min_b+1 
	MOVLW       132
	MOVWF       FARG_min_a+0 
	MOVLW       3
	MOVWF       FARG_min_a+1 
	CALL        _min+0, 0
	MOVF        R0, 0 
	MOVWF       knightRider_uintPostDelay+0 
	MOVF        R1, 0 
	MOVWF       knightRider_uintPostDelay+1 
;knightRider.c,114 :: 		}
	GOTO        L_main6
;knightRider.c,115 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
