
_initLCD:

;lcd.c,36 :: 		void initLCD() {
;lcd.c,37 :: 		Lcd_Init();
	CALL        _Lcd_Init+0, 0
;lcd.c,38 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;lcd.c,39 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;lcd.c,40 :: 		}
L_end_initLCD:
	RETURN      0
; end of _initLCD

_lcdMaquee:

;lcd.c,54 :: 		void lcdMaquee(marqueeDef* pMarquee) {
;lcd.c,55 :: 		if ( pMarquee ) {
	MOVF        FARG_lcdMaquee_pMarquee+0, 0 
	IORWF       FARG_lcdMaquee_pMarquee+1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_lcdMaquee0
;lcd.c,59 :: 		intLength = strlen(pMarquee->pstrMarquee);
	MOVLW       2
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       lcdMaquee_intLength_L1+0 
	MOVF        R1, 0 
	MOVWF       lcdMaquee_intLength_L1+1 
;lcd.c,61 :: 		intCopyLen1 = min(LCD_CHAR_WIDTH,  intLength - pMarquee->intStartIdx);
	MOVLW       16
	MOVWF       FARG_min_a+0 
	MOVLW       0
	MOVWF       FARG_min_a+1 
	MOVLW       4
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	SUBWF       R0, 0 
	MOVWF       FARG_min_b+0 
	MOVF        POSTINC2+0, 0 
	SUBWFB      R1, 0 
	MOVWF       FARG_min_b+1 
	CALL        _min+0, 0
	MOVF        R0, 0 
	MOVWF       lcdMaquee_intCopyLen1_L1+0 
	MOVF        R1, 0 
	MOVWF       lcdMaquee_intCopyLen1_L1+1 
;lcd.c,63 :: 		if ( intCopyLen1 < LCD_CHAR_WIDTH ) {
	MOVLW       128
	XORWF       R1, 0 
	MOVWF       R2 
	MOVLW       128
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdMaquee19
	MOVLW       16
	SUBWF       R0, 0 
L__lcdMaquee19:
	BTFSC       STATUS+0, 0 
	GOTO        L_lcdMaquee1
;lcd.c,64 :: 		intCopyLen2 = LCD_CHAR_WIDTH - intCopyLen1;
	MOVF        lcdMaquee_intCopyLen1_L1+0, 0 
	SUBLW       16
	MOVWF       lcdMaquee_intCopyLen2_L1+0 
	MOVF        lcdMaquee_intCopyLen1_L1+1, 0 
	MOVWF       lcdMaquee_intCopyLen2_L1+1 
	MOVLW       0
	SUBFWB      lcdMaquee_intCopyLen2_L1+1, 1 
;lcd.c,65 :: 		} else {
	GOTO        L_lcdMaquee2
L_lcdMaquee1:
;lcd.c,66 :: 		intCopyLen2 = 0;
	CLRF        lcdMaquee_intCopyLen2_L1+0 
	CLRF        lcdMaquee_intCopyLen2_L1+1 
;lcd.c,67 :: 		}
L_lcdMaquee2:
;lcd.c,68 :: 		memset(strLCD, 0, sizeof(strLCD));
	MOVLW       lcdMaquee_strLCD_L1+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(lcdMaquee_strLCD_L1+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       17
	MOVWF       FARG_memset_n+0 
	MOVLW       0
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;lcd.c,69 :: 		intSrc = pMarquee->intStartIdx;
	MOVLW       4
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
;lcd.c,71 :: 		strncpy(strLCD, (char*)&pMarquee->pstrMarquee[intSrc], intCopyLen1);
	MOVLW       lcdMaquee_strLCD_L1+0
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(lcdMaquee_strLCD_L1+0)
	MOVWF       FARG_strncpy_to+1 
	MOVLW       2
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR0H 
	MOVF        R0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        R1, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVF        lcdMaquee_intCopyLen1_L1+0, 0 
	MOVWF       FARG_strncpy_size+0 
	MOVF        lcdMaquee_intCopyLen1_L1+1, 0 
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;lcd.c,73 :: 		if ( intCopyLen2 > 0 ) {
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       lcdMaquee_intCopyLen2_L1+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdMaquee20
	MOVF        lcdMaquee_intCopyLen2_L1+0, 0 
	SUBLW       0
L__lcdMaquee20:
	BTFSC       STATUS+0, 0 
	GOTO        L_lcdMaquee3
;lcd.c,74 :: 		strncpy((char*)&strLCD[intCopyLen1], pMarquee->pstrMarquee, intCopyLen2);
	MOVLW       lcdMaquee_strLCD_L1+0
	ADDWF       lcdMaquee_intCopyLen1_L1+0, 0 
	MOVWF       FARG_strncpy_to+0 
	MOVLW       hi_addr(lcdMaquee_strLCD_L1+0)
	ADDWFC      lcdMaquee_intCopyLen1_L1+1, 0 
	MOVWF       FARG_strncpy_to+1 
	MOVLW       2
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strncpy_from+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_strncpy_from+1 
	MOVF        lcdMaquee_intCopyLen2_L1+0, 0 
	MOVWF       FARG_strncpy_size+0 
	MOVF        lcdMaquee_intCopyLen2_L1+1, 0 
	MOVWF       FARG_strncpy_size+1 
	CALL        _strncpy+0, 0
;lcd.c,75 :: 		}
L_lcdMaquee3:
;lcd.c,76 :: 		lcdText(pMarquee->intRow, strLCD);
	MOVFF       FARG_lcdMaquee_pMarquee+0, FSR0
	MOVFF       FARG_lcdMaquee_pMarquee+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_lcdText_intOptions+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_lcdText_intOptions+1 
	MOVLW       lcdMaquee_strLCD_L1+0
	MOVWF       FARG_lcdText_pText+0 
	MOVLW       hi_addr(lcdMaquee_strLCD_L1+0)
	MOVWF       FARG_lcdText_pText+1 
	CALL        _lcdText+0, 0
;lcd.c,78 :: 		if ( ++pMarquee->intStartIdx >= intLength ) {
	MOVLW       4
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       R3 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       R4 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	INFSNZ      R0, 1 
	INCF        R1, 1 
	MOVFF       R3, FSR1
	MOVFF       R4, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
	MOVFF       R3, FSR0
	MOVFF       R4, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       lcdMaquee_intLength_L1+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdMaquee21
	MOVF        lcdMaquee_intLength_L1+0, 0 
	SUBWF       R1, 0 
L__lcdMaquee21:
	BTFSS       STATUS+0, 0 
	GOTO        L_lcdMaquee4
;lcd.c,79 :: 		pMarquee->intStartIdx = 0;
	MOVLW       4
	ADDWF       FARG_lcdMaquee_pMarquee+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_lcdMaquee_pMarquee+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;lcd.c,80 :: 		}
L_lcdMaquee4:
;lcd.c,81 :: 		}
L_lcdMaquee0:
;lcd.c,82 :: 		}
L_end_lcdMaquee:
	RETURN      0
; end of _lcdMaquee

_lcdText:

;lcd.c,98 :: 		void lcdText(int intOptions, char* pText) {
;lcd.c,101 :: 		if ( pText ) {
	MOVF        FARG_lcdText_pText+0, 0 
	IORWF       FARG_lcdText_pText+1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_lcdText5
;lcd.c,103 :: 		for( intLength=0; pText[intLength]!='\0'; intLength++ ) {
	CLRF        lcdText_intLength_L0+0 
	CLRF        lcdText_intLength_L0+1 
L_lcdText6:
	MOVF        lcdText_intLength_L0+0, 0 
	ADDWF       FARG_lcdText_pText+0, 0 
	MOVWF       FSR0 
	MOVF        lcdText_intLength_L0+1, 0 
	ADDWFC      FARG_lcdText_pText+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_lcdText7
	INFSNZ      lcdText_intLength_L0+0, 1 
	INCF        lcdText_intLength_L0+1, 1 
;lcd.c,104 :: 		}
	GOTO        L_lcdText6
L_lcdText7:
;lcd.c,105 :: 		if ( intLength > 0 ) {
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       lcdText_intLength_L0+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText23
	MOVF        lcdText_intLength_L0+0, 0 
	SUBLW       0
L__lcdText23:
	BTFSC       STATUS+0, 0 
	GOTO        L_lcdText9
;lcd.c,107 :: 		if ( (intOptions & LCD_CENTER) == LCD_CENTER ) {
	MOVLW       64
	ANDWF       FARG_lcdText_intOptions+0, 0 
	MOVWF       R1 
	MOVF        FARG_lcdText_intOptions+1, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText24
	MOVLW       64
	XORWF       R1, 0 
L__lcdText24:
	BTFSS       STATUS+0, 2 
	GOTO        L_lcdText10
;lcd.c,108 :: 		intCol = ((LCD_CHAR_WIDTH - intLength) / 2) + 1;
	MOVF        lcdText_intLength_L0+0, 0 
	SUBLW       16
	MOVWF       lcdText_intCol_L0+0 
	MOVF        lcdText_intLength_L0+1, 0 
	MOVWF       lcdText_intCol_L0+1 
	MOVLW       0
	SUBFWB      lcdText_intCol_L0+1, 1 
	RRCF        lcdText_intCol_L0+1, 1 
	RRCF        lcdText_intCol_L0+0, 1 
	BCF         lcdText_intCol_L0+1, 7 
	BTFSC       lcdText_intCol_L0+1, 6 
	BSF         lcdText_intCol_L0+1, 7 
	INFSNZ      lcdText_intCol_L0+0, 1 
	INCF        lcdText_intCol_L0+1, 1 
;lcd.c,109 :: 		} else {
	GOTO        L_lcdText11
L_lcdText10:
;lcd.c,110 :: 		intCol = intOptions & 0x0f;
	MOVLW       15
	ANDWF       FARG_lcdText_intOptions+0, 0 
	MOVWF       R1 
	MOVF        FARG_lcdText_intOptions+1, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVF        R1, 0 
	MOVWF       lcdText_intCol_L0+0 
	MOVF        R2, 0 
	MOVWF       lcdText_intCol_L0+1 
;lcd.c,111 :: 		if ( intCol <= 0 ) {
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       R2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText25
	MOVF        R1, 0 
	SUBLW       0
L__lcdText25:
	BTFSS       STATUS+0, 0 
	GOTO        L_lcdText12
;lcd.c,112 :: 		intCol = 1;
	MOVLW       1
	MOVWF       lcdText_intCol_L0+0 
	MOVLW       0
	MOVWF       lcdText_intCol_L0+1 
;lcd.c,113 :: 		} else if ( intCol >= LCD_CHAR_WIDTH ) {
	GOTO        L_lcdText13
L_lcdText12:
	MOVLW       128
	XORWF       lcdText_intCol_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText26
	MOVLW       16
	SUBWF       lcdText_intCol_L0+0, 0 
L__lcdText26:
	BTFSS       STATUS+0, 0 
	GOTO        L_lcdText14
;lcd.c,114 :: 		return;
	GOTO        L_end_lcdText
;lcd.c,115 :: 		}
L_lcdText14:
L_lcdText13:
;lcd.c,116 :: 		}
L_lcdText11:
;lcd.c,117 :: 		if ( (intOptions & LCD_ROW_1) == LCD_ROW_1 ) {
	MOVLW       16
	ANDWF       FARG_lcdText_intOptions+0, 0 
	MOVWF       R1 
	MOVF        FARG_lcdText_intOptions+1, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__lcdText27
	MOVLW       16
	XORWF       R1, 0 
L__lcdText27:
	BTFSS       STATUS+0, 2 
	GOTO        L_lcdText15
;lcd.c,118 :: 		intRow = 1;
	MOVLW       1
	MOVWF       lcdText_intRow_L0+0 
	MOVLW       0
	MOVWF       lcdText_intRow_L0+1 
;lcd.c,119 :: 		} else {
	GOTO        L_lcdText16
L_lcdText15:
;lcd.c,120 :: 		intRow = 2;
	MOVLW       2
	MOVWF       lcdText_intRow_L0+0 
	MOVLW       0
	MOVWF       lcdText_intRow_L0+1 
;lcd.c,121 :: 		}
L_lcdText16:
;lcd.c,122 :: 		Lcd_Out(intRow, intCol, pText);
	MOVF        lcdText_intRow_L0+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVF        lcdText_intCol_L0+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVF        FARG_lcdText_pText+0, 0 
	MOVWF       FARG_Lcd_Out_text+0 
	MOVF        FARG_lcdText_pText+1, 0 
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;lcd.c,123 :: 		}
L_lcdText9:
;lcd.c,124 :: 		}
L_lcdText5:
;lcd.c,125 :: 		}
L_end_lcdText:
	RETURN      0
; end of _lcdText
