#line 1 "F:/MikroC/KnigntRider/lcd.c"
#line 1 "f:/mikroc/knigntrider/lcd.h"
#line 1 "f:/mikroc/knigntrider/types.h"
#line 14 "f:/mikroc/knigntrider/types.h"
 typedef unsigned long ulong;


 typedef unsigned int uint;


 typedef unsigned short ushort;


 typedef unsigned char byte;


 typedef enum ebool { FALSE, TRUE } boolean;
#line 23 "f:/mikroc/knigntrider/lcd.h"
 typedef struct {
 int intRow;
 char* pstrMarquee;
 int intStartIdx;
 } marqueeDef;

 void initLCD();
 void lcdMaquee(marqueeDef* pMarquee);
 void lcdText(int intOptions, char* pText);
#line 13 "F:/MikroC/KnigntRider/lcd.c"
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;
#line 36 "F:/MikroC/KnigntRider/lcd.c"
void initLCD() {
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
}
#line 54 "F:/MikroC/KnigntRider/lcd.c"
void lcdMaquee(marqueeDef* pMarquee) {
 if ( pMarquee ) {
 char strLCD[ 16  + 1];
 int i, intLength, intCopyLen1, intCopyLen2, intSrc;

 intLength = strlen(pMarquee->pstrMarquee);

 intCopyLen1 = min( 16 , intLength - pMarquee->intStartIdx);

 if ( intCopyLen1 <  16  ) {
 intCopyLen2 =  16  - intCopyLen1;
 } else {
 intCopyLen2 = 0;
 }
 memset(strLCD, 0, sizeof(strLCD));
 intSrc = pMarquee->intStartIdx;

 strncpy(strLCD, (char*)&pMarquee->pstrMarquee[intSrc], intCopyLen1);

 if ( intCopyLen2 > 0 ) {
 strncpy((char*)&strLCD[intCopyLen1], pMarquee->pstrMarquee, intCopyLen2);
 }
 lcdText(pMarquee->intRow, strLCD);

 if ( ++pMarquee->intStartIdx >= intLength ) {
 pMarquee->intStartIdx = 0;
 }
 }
}
#line 98 "F:/MikroC/KnigntRider/lcd.c"
void lcdText(int intOptions, char* pText) {
 int intLength, intCol, intRow;

 if ( pText ) {

 for( intLength=0; pText[intLength]!='\0'; intLength++ ) {
 }
 if ( intLength > 0 ) {

 if ( (intOptions &  0x40 ) ==  0x40  ) {
 intCol = (( 16  - intLength) / 2) + 1;
 } else {
 intCol = intOptions & 0x0f;
 if ( intCol <= 0 ) {
 intCol = 1;
 } else if ( intCol >=  16  ) {
 return;
 }
 }
 if ( (intOptions &  0x10 ) ==  0x10  ) {
 intRow = 1;
 } else {
 intRow = 2;
 }
 Lcd_Out(intRow, intCol, pText);
 }
 }
}
